Get a compliance catalog entry
get
https://api.expiryedge.com/v1/getComplianceany role (admin, editor or viewer)60/min
Request
curl 'https://api.expiryedge.com/v1/getCompliance?id=cm_9Pq4zR' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"id": "cm_9Pq4zR",
"name": "HIPAA Security Risk Assessment",
"description": "Annual security risk analysis required under the HIPAA Security Rule.",
"category": "Data Privacy",
"customCategory": "",
"renewalFrequency": "Annually",
"notes": "Keep the signed report for six years.",
"status": "Active",
"customFields": {
"regulator": "HHS OCR"
},
"isArchived": false,
"archivedAt": null,
"organization_id": "org_northwind",
"user_id": "u_71bXq",
"createdAt": "2026-09-27T14:05:00.000Z",
"updatedAt": "2026-09-27T14:05:00.000Z"
}Returns 403 when the record belongs to another organization.
idstringrequiredCompliance id.
200
The compliance catalog entry.
namestringRequired on create; cannot be blank on update.descriptionstringcategorystringAny other value is stored asOther.AllowedData PrivacySafetyFinancialEnvironmentalLaborQualitySecurityRegulatoryOthercustomCategorystringOnly kept whencategoryisOther.renewalFrequencystringAny other value is stored asOne-Time.AllowedOne-TimeMonthlyQuarterlyAnnuallyBienniallynotesstringstatusstringAny other value is stored asActive.AllowedActiveInactivecustomFieldsmap of stringFree-form key/value pairs. Keys are trimmed; values are stored as strings.idstringread-onlyisArchivedbooleanread-onlyarchivedAtstring | nullread-onlyformat: date-timeorganization_idstringread-onlyuser_idstringread-onlycreatedAtstringread-onlyformat: date-timeupdatedAtstringread-onlyformat: date-time
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
403 | Authenticated, but your role or organization does not allow this action. |
404 | The record does not exist or is not in your organization. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
500 | Unexpected server error. Retry later; quote requestId to support. |
